.First.lib <- function(lib, pkg) {
    if (.Platform$GUI=="GNOME")
	stop("Tcl/Tk library does not work with GNOME interface")
    if (! is.na(match("package:tcltk", search())))
	stop("(some) Tcl/Tk package is already loaded");
    attach(NULL, name="package:tcltk") # pretend we're the real thing
    library.dynam(pkg, pkg, lib)
    .C("tcltk_init", file.path(lib, pkg, "exec", "ipctkserv"),
	PACKAGE=pkg)
    addTclPath(system.file("exec",pkg=pkg))
}

.Last.lib <- function(libpath) {
    .C("delTcl", PACKAGE=pkg)
}
